function reportMP (vid, skey, url) {
    var apiURL = "https://i.weread.qq.com/reportmp";
    var reportType = -1;
    var reportURL = window.location.href;

    if (url && url.length > 0) {
        reportURL = url;
    }

    if (!url || !url.length || !url.startsWith("http")) {
        return
    }

    // feature detect: normal essay need title and content.
    var nodeLength = document.getElementsByClassName('rich_media_title').length + document.getElementsByClassName('rich_media_content').length;
    var ftDetect = nodeLength == 0;

    if (ftDetect) {
        var xhr = new XMLHttpRequest();
        xhr.open("POST", apiURL + '?vid=' + vid + '&skey=' + skey, true);
        xhr.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded');
        xhr.onreadystatechange = function () {
            if(xhr.readyState === XMLHttpRequest.DONE && xhr.status === 200) {
                console.log("上报成功", xhr.responseText);
            }
        };
        xhr.send('url=' + encodeURIComponent(reportURL));
    }
}